Loading...
Searching...
No Matches
mdds::point_quad_tree< _Key, _Value >::search_results::const_iterator Class Reference

## Public Types

typedef std::pair< point, parent_value_type > | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef ptrdiff_t | difference_type
typedef ::std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

| const_iterator (res_nodes_ptr &ptr)
| const_iterator (const const_iterator &r)
const_iterator & | operator= (const const_iterator &r)
bool | operator== (const const_iterator &r) const
bool | operator!= (const const_iterator &r) const
const value_type & | operator* () const
const value_type * | operator-> () const
const value_type * | operator++ ()
const value_type * | operator-- ()

## Friends

class | point_quad_tree< _Key, _Value >::search_results